#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f1,2)
#-----------------------------------------------------------------------------
Name		:	osinfo-db-tools
Version		:	1.10.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Tools for managing the osinfo database

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-2.0-or-later
URL		:	https://releases.pagure.org/libosinfo/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc
BuildRequires	:	json-glib
BuildRequires	:	json-c-devel
BuildRequires	:	libsoup2
BuildRequires	:	meson

#to allow "meson test"
BuildRequires	:	attrs
BuildRequires	:	python-py
BuildRequires	:	python3-certifi
BuildRequires	:	python3-charset-normalizer
BuildRequires	:	python3-idna
BuildRequires	:	python3-iniconfig
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-pytest
BuildRequires	:	python3-requests
BuildRequires	:	python3-urllib3

#-----------------------------------------------------------------------------
%description
This package provides tools for managing the
osinfo database of information about operating
systems for use with virtualization.
 

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc NEWS README
%license COPYING
%{_bindir}/%{sname}-export
%{_bindir}/%{sname}-import
%{_bindir}/%{sname}-path
%{_bindir}/%{sname}-validate
%{_mandir}/man1/%{sname}-export.1.gz
%{_mandir}/man1/%{sname}-import.1.gz
%{_mandir}/man1/%{sname}-path.1.gz
%{_mandir}/man1/%{sname}-validate.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	_bld

meson							\
	compile						\
	-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
meson							\
	test						\
	-C _bld						\
	--print-errorlogs				\

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C _bld

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
